package com.xkrs.controller;

import com.xkrs.model.bean.SendSmsBean;
import com.xkrs.utilsnew.SMSUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class SMSController {

    /**
     * 给用户发送短信
     */
    @PostMapping("/sendSmsToUser")
    public String sendSmsToUser(@RequestBody SendSmsBean sendSmsBean) {
        List<String> phoneNumbers = sendSmsBean.getPhoneNumbers();
        String templateId = sendSmsBean.getTemplateId();
        List<String> templateParams = sendSmsBean.getTemplateParams();

        String[] phoneNumberArray = new String[phoneNumbers.size()];
        for (int i = 0; i < phoneNumbers.size(); i++) {
            String phoneNumber = phoneNumbers.get(i);
            if (phoneNumber.startsWith("86")) {
                phoneNumberArray[i] = phoneNumber;
            } else {
                phoneNumberArray[i] = "86" + phoneNumber;
            }
        }
        int sendSmsToUser = SMSUtils.sendSmsToUser(phoneNumberArray, templateId, templateParams.toArray(new String[templateParams.size()]));
        return "发送完毕" + sendSmsToUser;
    }

}
