package com.xkrs.model.vo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class TianDiTuGeocodeVo {

    @JsonProperty("result")
    public ResultDTO result;
    @JsonProperty("msg")
    public String msg;
    @JsonProperty("status")
    public String status;

    public static class ResultDTO {
        @JsonProperty("formatted_address")
        public String formattedAddress;
        @JsonProperty("location")
        public LocationDTO location;
        @JsonProperty("addressComponent")
        public AddressComponentDTO addressComponent;

        public static class LocationDTO {
            @JsonProperty("lon")
            public Double lon;
            @JsonProperty("lat")
            public Double lat;
        }

        public static class AddressComponentDTO {
            @JsonProperty("address")
            public String address;
            @JsonProperty("town")
            public String town;
            @JsonProperty("nation")
            public String nation;
            @JsonProperty("city")
            public String city;
            @JsonProperty("county_code")
            public String countyCode;
            @JsonProperty("poi_position")
            public String poiPosition;
            @JsonProperty("county")
            public String county;
            @JsonProperty("city_code")
            public String cityCode;
            @JsonProperty("address_position")
            public String addressPosition;
            @JsonProperty("poi")
            public String poi;
            @JsonProperty("province_code")
            public String provinceCode;
            @JsonProperty("town_code")
            public String townCode;
            @JsonProperty("province")
            public String province;
            @JsonProperty("road")
            public String road;
            @JsonProperty("road_distance")
            public Integer roadDistance;
            @JsonProperty("address_distance")
            public Integer addressDistance;
            @JsonProperty("poi_distance")
            public Integer poiDistance;
        }
    }
}
