package com.xkrs.utilsnew;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ErrorInfoLogUtils {

    private ErrorInfoLogUtils() {
    }

    private static Logger logger = LoggerFactory.getLogger(ErrorInfoLogUtils.class);

    public static void log(String message) {
        log(message, true);
    }

    public static void log(String message, boolean sendSms) {
        logger.info(message);
        if (sendSms) {
            SMSUtils.sendSmsToUser(new String[]{"8615764226530"}, "1425995", new String[]{message});
        }
    }

}
